package com.dragon.tj.portal.message;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.springframework.context.ApplicationEvent;

@Getter
@Setter
@ToString
public class SseEvent<T> extends ApplicationEvent {
    private int code;
    private String userId;
    private T msg;

    public SseEvent(Object source) {
        super(source);
    }
}
