package com.dragon.tj.portal.message;

import lombok.extern.slf4j.Slf4j;
import org.springframework.context.ApplicationListener;
import org.springframework.stereotype.Component;

@Slf4j
@Component
public class SseListener implements ApplicationListener<SseEvent> {
    @Override
    public void onApplicationEvent(SseEvent event) {
        SseEmitterServer.sendMessage(event.getUserId(), event.getMsg());
        SSEWebServer.publicMsg(event);
    }
}
